<?php
/**
* クラスローダを定義するインターフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface IClassLoader
{

	/*
	 * クラスローダ名
	 */
	public function getClassLoaderName();

	/*
	 * クラスをロード
	 */
	public static function loadClass( $class_name );

}
